Skip to main content
`Ctrl`+`K`

# VecLockGet

Get the current lock status of a vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockGet(Vec x, PetscInt *state)

Logically Collective

## Input Parameter

- x - the vector

## Output Parameter

- state - greater than zero indicates the vector is locked for read; less than zero indicates the vector is locked for write; equal to zero means the vector is unlocked, that is, it is free to read or write.

## See Also

Vectors and Parallel Data, `Vec`, `VecRestoreArray()`, `VecGetArrayRead()`, `VecLockReadPush()`, `VecLockReadPop()`

## Level

advanced

## Location

src/vec/vec/interface/rvector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages